aboutsummaryrefslogtreecommitdiffstats
path: root/scripts
diff options
context:
space:
mode:
Diffstat (limited to 'scripts')
-rwxr-xr-xscripts/depmod.sh6
-rwxr-xr-xscripts/spdxcheck.py1
2 files changed, 6 insertions, 1 deletions
diff --git a/scripts/depmod.sh b/scripts/depmod.sh
index e083bcae343f..cc1385a3d726 100755
--- a/scripts/depmod.sh
+++ b/scripts/depmod.sh
@@ -21,6 +21,12 @@ if [ -z $(command -v $DEPMOD) ]; then
exit 0
fi
+if [ -z $(command -v $DEPMOD) ]; then
+ echo "'make modules_install' requires $DEPMOD. Please install it." >&2
+ echo "This is probably in the kmod package." >&2
+ exit 1
+fi
+
# older versions of depmod require the version string to start with three
# numbers, so we cheat with a symlink here
depmod_hack_needed=true
diff --git a/scripts/spdxcheck.py b/scripts/spdxcheck.py
index 6374e078a5f2..04ddfc65c353 100755
--- a/scripts/spdxcheck.py
+++ b/scripts/spdxcheck.py
@@ -169,7 +169,6 @@ class id_parser(object):
self.curline = 0
try:
for line in fd:
- line = line.decode(locale.getpreferredencoding(False), errors='ignore')
self.curline += 1
if self.curline > maxlines:
break